> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.propexo.com/api-reference/configuration-ap-is/admin/check-the-status-of-a-write-operation/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server. # Check the status of a write operation GET https://api.propexo.com/v1/admin/write-status/{root_job_id} Query for the status of a write operation created via the API. The status of the write operation, as well as any encountered errors, is provided. Reference: https://docs.propexo.com/api-reference/configuration-ap-is/admin/check-the-status-of-a-write-operation ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.propexo.com` (Production, default) - `https://api.sandbox.propexo.com` (Sandbox) ## Request ### Path parameters - `root_job_id` (string, required) — The job ID of the write job to check the status of ## Response ### 200 Successful response - `write_status` (enum, required) — The status for the write operation. "SUCCESS" means that the write operation was seen as a complete success and the data has been written. "PARTIAL_SUCCESS" means that a portion of the write operation succeeded, but it was not fully successful. "FAILURE" means that the write operation completely failed."PENDING" means that the write operation is pending completion of any status. - Allowed values: `SUCCESS`, `PARTIAL_SUCCESS`, `FAILURE`, `PENDING` - `errors` (list of string, required) - `created_record_id` (string, required, nullable) — The ID may be null if the job didn't run correctly or if the given PMS does not generate a new record ID for create operations. Due to varying PMS workflow requirements, some Propexo jobs will spawn other jobs. This will return the first ID created in the process and could be related to a different model than expected. This is not intended to be a complete solution and could have gaps. ## Errors ### 400 Bad Request Error Bad Request - `error` (ErrorResponseError, required) ## Types ### ErrorResponseError - `code` (string, required) - `message` (string, required) - `details` (map from string to any, optional) ## Examples **Request** ```json {} ``` **Response** ```json { "write_status": "PARTIAL_SUCCESS", "errors": [ "Failed to update record 12345 due to validation error on field 'email'." ], "created_record_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890" } ``` **SDK Code** ```python import requests url = "https://api.propexo.com/v1/admin/write-status/root_job_id" payload = {} headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.get(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.propexo.com/v1/admin/write-status/root_job_id'; const options = { method: 'GET', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.propexo.com/v1/admin/write-status/root_job_id" payload := strings.NewReader("{}") req, _ := http.NewRequest("GET", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.propexo.com/v1/admin/write-status/root_job_id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.propexo.com/v1/admin/write-status/root_job_id") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('GET', 'https://api.propexo.com/v1/admin/write-status/root_job_id', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.propexo.com/v1/admin/write-status/root_job_id"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/admin/write-status/root_job_id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```